Download it now!
Bug 117745 - Writer: Split Options/Formatting Aids/"Display of" to groups "Formatting Marks Toggle" and "Field Display"
Summary: Writer: Split Options/Formatting Aids/"Display of" to groups "Formatting Mark...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures Options-Dialog-Writer
  Show dependency treegraph
 
Reported: 2018-05-22 15:52 UTC by Timur
Modified: 2019-09-18 07:11 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Modified dialog (104.52 KB, image/png)
2018-06-19 11:56 UTC, Heiko Tietze
Details
Example to illustrate the various options to hide text (14.32 KB, application/vnd.oasis.opendocument.text)
2018-07-03 11:01 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2018-05-22 15:52:10 UTC
I suggest Writer Formatting Aids (Tools -> Options -> LO Writer -> Formatting Aids) be redesigned. All is there in single "Display of" now, but behavior is different. 
There should be two separate groups of items:
- marks which are toggled via Formatting Marks icon on the Standard bar (I'd call that group: "Formatting Marks Toggle") and 
- separate group that is not (group name suggestion "Fields Display") - with Fields: Hidden text and Fields: Hidden paragraph.
Comment 1 Heiko Tietze 2018-06-18 13:12:24 UTC
Wouldn't just another heading above the fields be good? In the end we talk about 

*Fields*
[ ] Hidden text
[x] Hidden paragraphs
Comment 2 Timur 2018-06-18 14:54:37 UTC
Yes. We may than change extended tooltip to point out that formatting marks toggles the first display.
Comment 3 Heiko Tietze 2018-06-19 11:56:34 UTC
Created attachment 142912 [details]
Modified dialog

Like this? https://gerrit.libreoffice.org/#/c/56090/
Comment 4 Timur 2018-06-28 06:38:12 UTC
Separation looks OK to me. 
I would change "Display of" -> "Display formatting" and "Fields" -> "Display fields". 
And change extended tooltip as I wrote (this bug or a new one?).
Comment 5 Heiko Tietze 2018-06-28 08:31:50 UTC
(In reply to Timur from comment #4)
> I would change "Display of" -> "Display formatting" and "Fields" -> "Display
> fields". 
Okay

> And change extended tooltip as I wrote (this bug or a new one?).
Didn't get this point so maybe another ticket.


An issue is Hidden Text under Display of and again under Fields. While the former works (<selection> > character... > font effects > [ ] hidden = depends on this checkbox whether it's shown or not) it's unclear what effect this option has under Fields.
Comment 6 Timur 2018-06-28 09:24:38 UTC
> > And change extended tooltip as I wrote (this bug or a new one?).
> Didn't get this point so maybe another ticket.
OK. Extended tooltip is help we get with local help installed. 
I just want to stress that these are related to Toggle Formatting Marks icon on the Standard bar. 

> An issue is Hidden Text under Display of and again under Fields. While the
> former works (<selection> > character... > font effects > [ ] hidden =
> depends on this checkbox whether it's shown or not) it's unclear what effect
> this option has under Fields.
https://help.libreoffice.org/6.2/en-US/text/shared/optionen/01040600.html says:

Fields: Hidden text (not for HTML documents)
Displays text that is hidden by Conditional Text or Hidden Text fields.

Fields: Hidden paragraphs (not for HTML documents)
If you have inserted text using the Hidden Paragraph field, specifies whether to display the hidden paragraph. This option has the same function as the menu commands View - Hidden Paragraphs available in open text documents.
Comment 7 Heiko Tietze 2018-07-03 09:20:34 UTC
Latest patch has these labels now. 

Display formatting
...
[ ] Hidden character

Display fields
[ ] Hidden text
[ ] Hidden paragraph


However, the switches don't work for me anymore. If there is an issue it's completely unrelated as this patch changes the ui file only.
Comment 8 Heiko Tietze 2018-07-03 11:01:40 UTC
Created attachment 143287 [details]
Example to illustrate the various options to hide text

(In reply to Heiko Tietze from comment #7)
> However, the switches don't work for me anymore. 

Wrong, I was fooled by the Non-printing Characters option that is also needed to show the hidden text. The attachment shows all options around these features.
Comment 9 Commit Notification 2018-07-05 09:56:41 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0e83efbccc180c957f77291fc0fdc6dd74eae0f4

tdf#117745 - Split Options/Formatting Aids/"Display of"

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Heiko Tietze 2018-07-05 09:57:01 UTC
No objection, so it's done.
Comment 11 Timur 2018-07-06 07:43:08 UTC
OK but: 
should I open a new bug for documentation update or it's enough to have this "Blocks: 	HelpGaps"?
Is it written anywhere, do we have a procedure?
Comment 12 Timur 2018-07-06 07:50:56 UTC
We need to:
1. update help at https://help.libreoffice.org/6.2/en-US/text/shared/optionen/01040600.html with new Heading 2.
2. amend Extended tooltip "Shows hidden formatting..." with "if marked in Options: Formatting Aids-Display Formatting". 

And 2. shows why this separation is useful.
Comment 13 Heiko Tietze 2018-07-06 15:07:06 UTC
(In reply to Timur from comment #12)
> We need to:
> 1. update help at...

Olivier Hallot is in CC but hasn't replied so I think we should file a ticket against documentation.
Comment 14 Timur 2019-01-18 15:43:40 UTC
Heiko, please consider whether we made a mistake:

Should those be in Tools -> Options -> LO Writer -> View, not in Formatting Aids?
Display fields
[ ] Hidden text
[ ] Hidden paragraph
Comment 15 Heiko Tietze 2019-01-31 18:09:26 UTC
(In reply to Timur from comment #14)
> Should those be in Tools -> Options -> LO Writer -> View, not in Formatting
> Aids?

Yes, lets do that: bug 123091